from pathlib import Path

from dynaconf import Dynaconf

config_dir = Path(__file__).parent.resolve()

restful_config = Dynaconf(
    envvar_prefix="CAL_CAL_TOOLS",
    settings_files=[
        config_dir / "restful_config.yaml",
        config_dir / "restful_config.secrets.yaml",
        Path("~/.config/pycalibration/cal_tools/restful_config.yaml").expanduser(),
    ],
    merge_enabled=True,
)


def calibration_client():
    from calibration_client import CalibrationClient

    # Create client for CalCat.
    calcat_config = restful_config.get('calcat')
    return CalibrationClient(
        base_api_url=calcat_config['base-api-url'],
        use_oauth2=calcat_config['use-oauth2'],
        client_id=calcat_config['user-id'],
        client_secret=calcat_config['user-secret'],
        user_email=calcat_config['user-email'],
        token_url=calcat_config['token-url'],
        refresh_url=calcat_config['refresh-url'],
        auth_url=calcat_config['auth-url'],
        scope='')
